Subject: Re: bug#5723: 23.1.94; make-network-process and emacs hangs

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Thu, 18 Mar 2010 11:20:14 +0900

>>>>> On Wed, 17 Mar 2010 12:01:16 +0000, Leo <[email-masked]> said:

>> I guess OP's case is about `connect' rather than `getaddrinfo'.
>> 
>> http://lists.gnu.org/archive/html/emacs-devel/2009-08/msg00148.html
>> 
>> Leo, can you check where it blocks (using GDB), and whether giving
>> --without-sync-input as a configure option changes the situation
>> (using the X11 build, preferably)?

> With this option and build emacs with X11, I can't start the gui
> version, getting this error:

> Xlib: unexpected async reply (sequence 0x5c)!

I found a missing BLOCK_INPUT that may or may not be related to this:

=== modified file 'src/xfns.c'
*** src/xfns.c	2010-03-15 17:16:46 +0000
--- src/xfns.c	2010-03-18 02:14:30 +0000
***************
*** 3347,3353 ****
--- 3347,3355 ----
  #ifdef USE_LUCID
    /* Prevent lwlib/xlwmenu.c from crashing because of a bug
       whereby it fails to get any font.  */
+   BLOCK_INPUT;
    xlwmenu_default_font = XLoadQueryFont (FRAME_X_DISPLAY (f), "fixed");
+   UNBLOCK_INPUT;
  #endif
  
    /* Frame contents get displaced if an embedded X window has a border.  */

Could you try if C-g works for you case on X11 builds, both
--with-sync-input and --without-sync-input?

				     YAMAMOTO Mitsuharu
				[email-masked]